## org.apache.myfaces.renderkit.html
Class HtmlMessagesRendererBase

    java.lang.Object
      javax.faces.render.Renderer
          org.apache.myfaces.renderkit.html.HtmlRenderer
              org.apache.myfaces.renderkit.html.HtmlMessageRendererBase
                  org.apache.myfaces.renderkit.html.HtmlMessagesRendererBase

Direct Known Subclasses:
  HtmlMessagesRenderer

public abstract class HtmlMessagesRendererBase
extends HtmlMessageRendererBase

Version:
  $Revision: 209490 $ $Date: 2005-07-06 14:32:42 -0400 (Wed, 06 Jul 2005) $
Author:
  Manfred Geiler (latest modification by $Author: grantsmith $)

Field Summary
`protected static java.lang.String` `LAYOUT_LIST`
`protected static java.lang.String` `LAYOUT_TABLE`

Constructor Summary
`HtmlMessagesRendererBase()`

Method Summary
`protected java.lang.String` `getLayout(javax.faces.component.UIComponent component)`
`protected java.lang.String[]` `getStyleAndStyleClass(javax.faces.component.UIComponent messages, javax.faces.application.FacesMessage.Severity severity)`
`protected java.lang.String` `getTitle(javax.faces.component.UIComponent component)`
`protected boolean` `isGlobalOnly(javax.faces.component.UIComponent component)`
`protected boolean` `isShowDetail(javax.faces.component.UIComponent component)`
`protected boolean` `isShowSummary(javax.faces.component.UIComponent component)`
`protected boolean` `isTooltip(javax.faces.component.UIComponent component)`
`protected void` `renderMessages(javax.faces.context.FacesContext facesContext, javax.faces.component.UIComponent messages)`

Methods inherited from class org.apache.myfaces.renderkit.html.HtmlMessageRendererBase
`getDetail, getFor, getSummary, renderMessage, renderSingleFacesMessage`

Methods inherited from class org.apache.myfaces.renderkit.html.HtmlRenderer
`encodeChildren`

Methods inherited from class javax.faces.render.Renderer
`convertClientId, decode, encodeBegin, encodeEnd, getConvertedValue, getRendersChildren`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### LAYOUT_LIST

    protected static final java.lang.String LAYOUT_LIST

See Also:
  Constant Field Values

### LAYOUT_TABLE

    protected static final java.lang.String LAYOUT_TABLE

See Also:
  Constant Field Values

Constructor Detail

### HtmlMessagesRendererBase

    public HtmlMessagesRendererBase()

Method Detail

### renderMessages

    protected void renderMessages(javax.faces.context.FacesContext facesContext,
                                  javax.faces.component.UIComponent messages)
                           throws java.io.IOException

  Throws:
    `java.io.IOException`

### getStyleAndStyleClass

    protected java.lang.String[] getStyleAndStyleClass(javax.faces.component.UIComponent messages,
                                                       javax.faces.application.FacesMessage.Severity severity)

  Overrides:
    `getStyleAndStyleClass` in class `HtmlMessageRendererBase`

### getTitle

    protected java.lang.String getTitle(javax.faces.component.UIComponent component)

  Overrides:
    `getTitle` in class `HtmlMessageRendererBase`

### isTooltip

    protected boolean isTooltip(javax.faces.component.UIComponent component)

  Overrides:
    `isTooltip` in class `HtmlMessageRendererBase`

### isShowSummary

    protected boolean isShowSummary(javax.faces.component.UIComponent component)

  Overrides:
    `isShowSummary` in class `HtmlMessageRendererBase`

### isShowDetail

    protected boolean isShowDetail(javax.faces.component.UIComponent component)

  Overrides:
    `isShowDetail` in class `HtmlMessageRendererBase`

### isGlobalOnly

    protected boolean isGlobalOnly(javax.faces.component.UIComponent component)

### getLayout

    protected java.lang.String getLayout(javax.faces.component.UIComponent component)